Release - [SteamOS] Kodi repository

  Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
DanCooper Offline
Moderator
Posts: 1,803
Joined: Apr 2012
Reputation: 84
Location: Switzerland
Post: #91
Thx for your response.
I will try it next wekkend with a fresh SteamOS installation and give you a feedback.

German Ember-MM Support

Latest Ember-MM - [Release] Ember Media Manager 1.3.x
Latest Ember-MM - [Beta] Ember Media Manager 1.4.x
(This post was last modified: 2015-03-03 13:54 by DanCooper.)
find quote
TheXravenX Offline
Junior Member
Posts: 2
Joined: Mar 2015
Reputation: 0
Wink  RE: [SteamOS] Kodi repository
Post: #92
(2015-02-28 22:30)ProfessorKaos64 Wrote:  
(2015-02-18 15:20)wsnipex Wrote:  what happens if you do apt-get dist-upgrade?

I have done that, no effect. I still get unmet dependencies when trying to install xbmc or kodi. Kodi will look for kodi.bin, and attempting to install xbmc, results in dependency failure from kodi.

I kept digging on this and found that each time I pinned a higher version of a dependency, another dependency popped up. I am running vanilla SteamOS with the latest build (153 i think).

After I could not get that to work, I turned on SteamOS beta. No dice again.

next I edited the preferences file to be


Code:
Package: *
Pin: origin mirrors.xbmc.org
Pin-Priority: 800

Package: *
Pin: release l=SteamOS
Pin-Priority: 900

Package: *
Pin: release l=Debian
Pin-Priority: -10


This allowed me to get through the initial error but ran into:
Code:
The following packages have unmet dependencies:
kodi-bin : Depends: libva-x11-1 (> 1.3.0~) but 1.0.15-4 is to be installed
            Depends: libva1 (> 1.3.0~) but 1.0.15-4 is to be installed
E: Unable to correct problems, you have held broken packages.

Sigh.

Next I ran the apt-cache policy on those files and found SteamOS has the updated files I needed. Back to perferences file. It now reads:

Code:
Package: *
Pin: origin mirrors.xbmc.org
Pin-Priority: 800

Package: *
Pin: release l=SteamOS
Pin-Priority: 900

Package: *
Pin: release l=Debian
Pin-Priority: -10

Package: libva-x11-1
Pin: release l=SteamOS
Pin-Priority: 900

Package: libva1
Pin: release l=SteamOS
Pin-Priority: 900


tada!!! Kodi 14.1 installs.
(This post was last modified: 2015-03-03 20:01 by TheXravenX.)
find quote
wsnipex Offline
Team-Kodi Member
Posts: 4,476
Joined: Jun 2011
Reputation: 99
Post: #93
your pinning is essentially the same as on the OP.
Package: *
Pin: release l=SteamOS
Pin-Priority: 900

already includes libva stuff, so thats redundant. I wonder why you have debian in there(even if its -10). Did you install something from debian repos?
find quote
Post Reply